com.intellij.diagnostic.PluginException: idea/plugin/psiviewer/controller/application/Configuration : Unsupported major.minor version 51.0 [Plugin: PsiViewer]

GitHub | aewhite | 3 years ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Unsupported major.minor version 51.0

    GitHub | 3 years ago | aewhite
    com.intellij.diagnostic.PluginException: idea/plugin/psiviewer/controller/application/Configuration : Unsupported major.minor version 51.0 [Plugin: PsiViewer]
  2. 0

    Unsupported major.minor version 51.0 [Plugin: awesome.console]

    GitHub | 2 years ago | nkbt
    com.intellij.diagnostic.PluginException: awesome/console/config/AwesomeConsoleConfig : Unsupported major.minor version 51.0 [Plugin: awesome.console]
  3. 0

    Error on IntelliJ Start: Major.Minor 51.0

    GitHub | 2 years ago | kamakazikamikaze
    com.intellij.diagnostic.PluginException: awesome/console/config/AwesomeConsoleConfig: Unsupported major.minor version 51.0 [Plugin: awesome.console]
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Plugin fails on Android Studio setup with Java6

    GitHub | 2 years ago | etexier
    com.intellij.diagnostic.PluginException: com/magnet/plugin/persistence/core/config/DataModelFileTypeProvider : Unsupported major.minor version 51.0 [Plugin: com.magnet.plugin.persistence]
  6. 0

    PluginException with PHPStorm 7.1

    GitHub | 3 years ago | schmunk42
    com.intellij.diagnostic.PluginException: com/neon/intellij/plugins/gitlab/controller/editor/GLEditorProvider : Unsupported major.minor version 51.0 [Plugin: com.neon.intellij.plugins.gitlab]

    14 unregistered visitors
    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. java.lang.UnsupportedClassVersionError

      idea/plugin/psiviewer/controller/application/Configuration : Unsupported major.minor version 51.0

      at java.lang.ClassLoader.defineClass1()
    2. Java RT
      ClassLoader.defineClass
      1. java.lang.ClassLoader.defineClass1(Native Method)
      2. java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
      3. java.lang.ClassLoader.defineClass(ClassLoader.java:621)
      4. java.lang.ClassLoader.defineClass(ClassLoader.java:471)
      4 frames
    3. Openapi
      UrlClassLoader._findClass
      1. com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:195)
      2. com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:191)
      3. com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:167)
      3 frames
    4. IDEA
      PluginClassLoader.loadClass
      1. com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:124)
      2. com.intellij.ide.plugins.cl.PluginClassLoader.a(PluginClassLoader.java:77)
      3. com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:66)
      3 frames
    5. Java RT
      Class.forName
      1. java.lang.ClassLoader.loadClass(ClassLoader.java:247)
      2. java.lang.Class.forName0(Native Method)
      3. java.lang.Class.forName(Class.java:249)
      3 frames
    6. IDEA
      MainImpl$1$1$1.run
      1. com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.a(ComponentManagerImpl.java:408)
      2. com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.a(ComponentManagerImpl.java:398)
      3. com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.access$000(ComponentManagerImpl.java:384)
      4. com.intellij.openapi.components.impl.ComponentManagerImpl.a(ComponentManagerImpl.java:107)
      5. com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:89)
      6. com.intellij.openapi.components.impl.stores.ApplicationStoreImpl.load(ApplicationStoreImpl.java:87)
      7. com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:508)
      8. com.intellij.idea.IdeaApplication.run(IdeaApplication.java:150)
      9. com.intellij.idea.MainImpl$1$1$1.run(MainImpl.java:58)
      9 frames
    7. Java RT
      EventQueue.dispatchEvent
      1. java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
      2. java.awt.EventQueue.dispatchEventImpl(EventQueue.java:715)
      3. java.awt.EventQueue.access$400(EventQueue.java:82)
      4. java.awt.EventQueue$2.run(EventQueue.java:676)
      5. java.awt.EventQueue$2.run(EventQueue.java:674)
      6. java.security.AccessController.doPrivileged(Native Method)
      7. java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:86)
      8. java.awt.EventQueue.dispatchEvent(EventQueue.java:685)
      8 frames
    8. IDEA
      IdeEventQueue.dispatchEvent
      1. com.intellij.ide.IdeEventQueue.e(IdeEventQueue.java:697)
      2. com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:524)
      3. com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:335)
      3 frames
    9. Java RT
      EventDispatchThread.run
      1. java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
      2. java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
      3. java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
      4. java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
      5. java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
      6. java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
      6 frames